## rust-vec-collections 0.4.3

=== debian/changelog ===
rust-vec-collections (0.4.3-6) unstable; urgency=medium

  * Team upload.
  * Package vec-collections 0.4.3 from crates.io using debcargo 2.7.7+alpha.0
  * Update fix-tests.patch for newer librust-bytecheck-dev

 -- Michael R. Crusoe <crusoe@debian.org>  Thu, 30 Jan 2025 13:33:17 +0100

rust-vec-collections (0.4.3-5) unstable; urgency=medium

  * Team upload.
  * Really disable rkyv

 -- Blair Noctis <ncts@debian.org>  Fri, 24 Jan 2025 14:02:59 +0000

rust-vec-collections (0.4.3-4) unstable; urgency=medium

  * Team upload.
  * Disable rkyv to allow its upgrade

 -- Blair Noctis <ncts@debian.org>  Mon, 20 Jan 2025 13:07:30 +0000

rust-vec-collections (0.4.3-3) unstable; urgency=medium

  * Team upload.
  * Package vec-collections 0.4.3 from crates.io using debcargo 2.7.1
  * Further relax the dependencies.
  * Exclude the "benches" directory.
  * Patch from Fabian Grünbichler to fix the tests, thank you!

 -- Michael R. Crusoe <crusoe@debian.org>  Mon, 21 Oct 2024 22:11:19 +0200

rust-vec-collections (0.4.3-2) unstable; urgency=medium

  * Package vec-collections 0.4.3 from crates.io using debcargo 2.7.0
  * No-op source-only re-upload for Debian Testing Migration.

 -- Emmanuel Arias <eamanu@debian.org>  Mon, 07 Oct 2024 15:20:14 -0300

rust-vec-collections (0.4.3-1) unstable; urgency=medium

  * Package vec-collections 0.4.3 from crates.io using debcargo 2.6.1

 -- Emmanuel Arias <eamanu@debian.org>  Fri, 27 Sep 2024 00:09:21 -0300
