=== debian/control ===
Source: rust-vec-collections
Section: rust
Priority: optional
Build-Depends: debhelper-compat (= 13),
 dh-sequence-cargo,
 cargo:native <!nocheck>,
 rustc:native <!nocheck>,
 libstd-rust-dev <!nocheck>,
 librust-binary-merge-0.1+default-dev <!nocheck>,
 librust-inplace-vec-builder-0.1+default-dev <!nocheck>,
 librust-inplace-vec-builder-0.1+smallvec-dev <!nocheck>,
 librust-lazy-static-1+default-dev (>= 1.4-~~) <!nocheck>,
 librust-num-traits-0.2+default-dev <!nocheck>,
 librust-serde-1-dev <!nocheck>,
 librust-smallvec-1+default-dev <!nocheck>,
 librust-sorted-iter-0.1+default-dev <!nocheck>
Maintainer: Debian Rust Maintainers <pkg-rust-maintainers@alioth-lists.debian.net>
Uploaders:
 Emmanuel Arias <eamanu@debian.org>
Standards-Version: 4.7.0
Vcs-Git: https://salsa.debian.org/rust-team/debcargo-conf.git [src/vec-collections]
Vcs-Browser: https://salsa.debian.org/rust-team/debcargo-conf/tree/master/src/vec-collections
Homepage: https://github.com/rklaehn
X-Cargo-Crate: vec-collections
Rules-Requires-Root: no

Package: librust-vec-collections-dev
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 librust-binary-merge-0.1+default-dev,
 librust-bytecheck-0.8+default-dev,
 librust-inplace-vec-builder-0.1+default-dev,
 librust-inplace-vec-builder-0.1+smallvec-dev,
 librust-lazy-static-1+default-dev (>= 1.4-~~),
 librust-num-traits-0.2+default-dev,
 librust-parking-lot-0.12+default-dev,
 librust-serde-1-dev,
 librust-smallvec-1+default-dev,
 librust-sorted-iter-0.1+default-dev
Provides:
 librust-vec-collections+bytecheck-dev (= ${binary:Version}),
 librust-vec-collections+default-dev (= ${binary:Version}),
 librust-vec-collections+inplace-dev (= ${binary:Version}),
 librust-vec-collections+lazy-radixtree-dev (= ${binary:Version}),
 librust-vec-collections+parking-lot-dev (= ${binary:Version}),
 librust-vec-collections+radixtree-dev (= ${binary:Version}),
 librust-vec-collections+serde-dev (= ${binary:Version}),
 librust-vec-collections+std-support-dev (= ${binary:Version}),
 librust-vec-collections+total-dev (= ${binary:Version}),
 librust-vec-collections-0-dev (= ${binary:Version}),
 librust-vec-collections-0+bytecheck-dev (= ${binary:Version}),
 librust-vec-collections-0+default-dev (= ${binary:Version}),
 librust-vec-collections-0+inplace-dev (= ${binary:Version}),
 librust-vec-collections-0+lazy-radixtree-dev (= ${binary:Version}),
 librust-vec-collections-0+parking-lot-dev (= ${binary:Version}),
 librust-vec-collections-0+radixtree-dev (= ${binary:Version}),
 librust-vec-collections-0+serde-dev (= ${binary:Version}),
 librust-vec-collections-0+std-support-dev (= ${binary:Version}),
 librust-vec-collections-0+total-dev (= ${binary:Version}),
 librust-vec-collections-0.4-dev (= ${binary:Version}),
 librust-vec-collections-0.4+bytecheck-dev (= ${binary:Version}),
 librust-vec-collections-0.4+default-dev (= ${binary:Version}),
 librust-vec-collections-0.4+inplace-dev (= ${binary:Version}),
 librust-vec-collections-0.4+lazy-radixtree-dev (= ${binary:Version}),
 librust-vec-collections-0.4+parking-lot-dev (= ${binary:Version}),
 librust-vec-collections-0.4+radixtree-dev (= ${binary:Version}),
 librust-vec-collections-0.4+serde-dev (= ${binary:Version}),
 librust-vec-collections-0.4+std-support-dev (= ${binary:Version}),
 librust-vec-collections-0.4+total-dev (= ${binary:Version}),
 librust-vec-collections-0.4.3-dev (= ${binary:Version}),
 librust-vec-collections-0.4.3+bytecheck-dev (= ${binary:Version}),
 librust-vec-collections-0.4.3+default-dev (= ${binary:Version}),
 librust-vec-collections-0.4.3+inplace-dev (= ${binary:Version}),
 librust-vec-collections-0.4.3+lazy-radixtree-dev (= ${binary:Version}),
 librust-vec-collections-0.4.3+parking-lot-dev (= ${binary:Version}),
 librust-vec-collections-0.4.3+radixtree-dev (= ${binary:Version}),
 librust-vec-collections-0.4.3+serde-dev (= ${binary:Version}),
 librust-vec-collections-0.4.3+std-support-dev (= ${binary:Version}),
 librust-vec-collections-0.4.3+total-dev (= ${binary:Version})
Description: Collctions (set and maps) that wrap SmallVec
 "
 Small Collections
 .
 It happens very frequently that you have collections that
 have on average just a very small number of elements.
 If you know the maximum size or even the maximum typical
 size in advance, you can use this crate to store such collections
 without allocations. For a larger number of elements, the
 underlying SmallVec will allocate the elements on the heap as
 a single allocation.
 .
 Read-heavy collections
 Another very frequent pattern is that you have a possibly
 large collection that is being created once and then used
 readonly for a long time. E.g. lookup tables. In these cases,
 ease of adding individual new elements is less important than
 compact in-memory representation and lookup performance. This
 crate provides succinct collections that have only a very small
 constant overhead over the contents of the collections.
