=== debian/tests/control ===
Test-Command: /usr/share/cargo/bin/cargo-auto-test vec-collections 0.4.3 --all-targets --all-features
Features: test-name=rust-vec-collections:@
Depends: dh-cargo (>= 31), rustc, librust-anyhow-1+default-dev, librust-fnv-1+default-dev (>= 1.0.7-~~), librust-futures-0.3+default-dev (>= 0.3.17-~~), librust-hex-0.4+default-dev (>= 0.4.3-~~), librust-lazy-static-1+default-dev (>= 1.4.0-~~), librust-maplit-1+default-dev (>= 1.0.2-~~), librust-num-traits-0.2+default-dev (>= 0.2.8-~~), librust-obey-0.1+default-dev, librust-quickcheck-1+default-dev, librust-quickcheck-macros-1+default-dev, librust-rand-0.8+default-dev (>= 0.8.5-~~), librust-serde-json-1+default-dev (>= 1.0.41-~~), librust-tokio-1+default-dev (>= 1.13.0-~~), librust-tokio-1+full-dev (>= 1.13.0-~~), @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test vec-collections 0.4.3 --all-targets --no-default-features --features bytecheck
Features: test-name=librust-vec-collections-dev:bytecheck
Depends: dh-cargo (>= 31), rustc, librust-anyhow-1+default-dev, librust-fnv-1+default-dev (>= 1.0.7-~~), librust-futures-0.3+default-dev (>= 0.3.17-~~), librust-hex-0.4+default-dev (>= 0.4.3-~~), librust-lazy-static-1+default-dev (>= 1.4.0-~~), librust-maplit-1+default-dev (>= 1.0.2-~~), librust-num-traits-0.2+default-dev (>= 0.2.8-~~), librust-obey-0.1+default-dev, librust-quickcheck-1+default-dev, librust-quickcheck-macros-1+default-dev, librust-rand-0.8+default-dev (>= 0.8.5-~~), librust-serde-json-1+default-dev (>= 1.0.41-~~), librust-tokio-1+default-dev (>= 1.13.0-~~), librust-tokio-1+full-dev (>= 1.13.0-~~), @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test vec-collections 0.4.3 --all-targets
Features: test-name=librust-vec-collections-dev:default
Depends: dh-cargo (>= 31), rustc, librust-anyhow-1+default-dev, librust-fnv-1+default-dev (>= 1.0.7-~~), librust-futures-0.3+default-dev (>= 0.3.17-~~), librust-hex-0.4+default-dev (>= 0.4.3-~~), librust-lazy-static-1+default-dev (>= 1.4.0-~~), librust-maplit-1+default-dev (>= 1.0.2-~~), librust-num-traits-0.2+default-dev (>= 0.2.8-~~), librust-obey-0.1+default-dev, librust-quickcheck-1+default-dev, librust-quickcheck-macros-1+default-dev, librust-rand-0.8+default-dev (>= 0.8.5-~~), librust-serde-json-1+default-dev (>= 1.0.41-~~), librust-tokio-1+default-dev (>= 1.13.0-~~), librust-tokio-1+full-dev (>= 1.13.0-~~), @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test vec-collections 0.4.3 --all-targets --no-default-features --features inplace
Features: test-name=librust-vec-collections-dev:inplace
